LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Fedora (http://www.linuxquestions.org/questions/fedora-35/)
-   -   Why config.h file doesn't exist? (http://www.linuxquestions.org/questions/fedora-35/why-config-h-file-doesnt-exist-823016/)

stgmvaragi 07-30-2010 07:06 AM

Why config.h file doesn't exist?
 
Hi i am Viknesh,
Actually i am new to Linux envt as i was assigned with a project to analyse the performance of ASSP mail filter engine.
I am using Fedora 7 with KDE3.5.
I need to install a lot of perl modules to run the assp.pl code.
I was trying with all sorts of packages like src.rpm, ixxx.rpm, tar.gz, tar.bz2. All these packages doesnt work exactly.

When i tried with rpm packages. I am getting this error.

/*

[root@localhost RPMs]# rpm -ivh cyrus-sasl-2.1.23-9.fc12.src.rpm
warning: cyrus-sasl-2.1.23-9.fc12.src.rpm: Header V3 RSA/SHA256 signature: NOKEY, key ID 57bbccba
1:cyrus-sasl warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
########################################### [100%]
error: unpacking of archive failed on file /usr/src/redhat/SOURCES/cyrus-sasl-2.1.18-no_rpath.patch;4c52ae60: cpio: MD5 sum mismatch

*/

Then i went for tar.gz files downloaded from CPAN.
I was given a set of instructions to install in the site itself, like:
# gzip -d yourmodule.tar.gz
# tar -xof yourmodule.tar
Then i went to the newly created directory yourmodule(say)
There i typed these commands
# perl Makefile.PL
It got succeeded. Then i am supposed to type two more commands :
# make &
# make test

So when i typed make in the Konsole, I get the following error.

/*

make: *** No rule to make target `/usr/lib/perl5/5.8.8/i386-linux-thread-multi/CORE/config.h', needed by `Makefile'. Stop.

*/

So i checked for config.h file as given the directory but it was missing.
I don't know why?
Can anyone figure it out and help me with the project?

DrLove73 07-30-2010 03:07 PM

Hi, welcome to the LQ forums.

Why, BUT WHY on this Earth you are using Fedora7????? :banghead:

If you need older system, then use CentOS 5.5, and if you need stable system, use CentOS 5.5 :cool:

Seriously, you are not going to be able to compile new packages *with newer dependancies) with THAT old system!!!

stgmvaragi 08-02-2010 12:30 AM

I have no other choice
 
Quote:

Originally Posted by DrLove73 (Post 4050347)
Hi, welcome to the LQ forums.

Why, BUT WHY on this Earth you are using Fedora7????? :banghead:

If you need older system, then use CentOS 5.5, and if you need stable system, use CentOS 5.5 :cool:

Seriously, you are not going to be able to compile new packages *with newer dependancies) with THAT old system!!!

Hi i have no other choice to work. My company assigned me with the work to run that system with ASSP. Can you give any other suggestion???

knudfl 08-02-2010 04:03 AM

The Fedora 7 "old archive" is here
http://archives.fedoraproject.org/pu...ux/releases/7/
( Most packages in 'Everything' )

The link to be used in /etc/yum.repos.d/ fedora.repo :
baseurl=http://archives.fedoraproject.org/pub/archive/fedora/linux/releases/7/Everything/i386/os/

And the old updates from 2007 - 2008 :
http://archives.fedoraproject.org/pu...nux/updates/7/

" updates repo " :
baseurl=http://archives.fedoraproject.org/pub/archive/fedora/linux/updates/7/i386/

Then you can do # yum install perl-devel
.. to fix your incomplete perl ( currently you only have the run time files.)


The 'cyrus-sasl', you show is not an rpm package. SRC.RPM = source code.
Most tar.gz, tar.bz2 are source code too : Must be compiled before install.

Good luck ! .. .. :)

DrLove73 08-02-2010 06:49 AM

Problem with unpacking/install or src.rpm's from newer Fedora versions is due to new kompression tool. You have to manualy unpack it before you can recompile it.

I suggest you use CentOS src.rpm's to compile what you need, IF you can not find those rpm's in Fedora 7 repositories.


All times are GMT -5. The time now is 10:21 AM.